# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ pkgs, ... }:

{
  boot.initrd.kernelModules = [ "i915" ];

  hardware.opengl.enable = true;
  hardware.opengl.driSupport = true;
  hardware.opengl.extraPackages = with pkgs; [
    intel-media-driver
    vaapiIntel
    vaapiVdpau
    libvdpau-va-gl
  ];

  services.xserver = {
    # displayManager.gdm = {
    #   enable = true;
    #   wayland = true;
    # };
  };

  # This runs only Intel and nvidia does not drain power.
  ##### disable nvidia for a very nice battery life.
  hardware.nvidiaOptimus.disable = true;
  boot.blacklistedKernelModules = [ "nouveau" "nvidia" ];
  services.xserver.videoDrivers = [ "intel" ];
  hardware.opengl.driSupport32Bit = true;
}
